--TEST--
basic #29 - basic context
--DESCRIPTION--
basic context - should handle undefined and null
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{undefined}}';
$context = array(
        'undefined' => function() {
            return 'undefined!';
          }/*function () {
            return 'undefined!';
          }*/,
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
undefined!