--TEST--
builtins #29 - #each
--DESCRIPTION--
#each - each object with @index
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#each goodbyes}}{{@index}}. {{text}}! {{/each}}cruel {{world}}!';
$context = array(
        'goodbyes' => array(
            'a' => array(
                'text' => 'goodbye',
            ),
            'b' => array(
                'text' => 'Goodbye',
            ),
            'c' => array(
                'text' => 'GOODBYE',
            ),
        ),
        'world' => 'world',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
0. goodbye! 1. Goodbye! 2. GOODBYE! cruel world!