--TEST--
builtins #42 - #lookup
--DESCRIPTION--
#lookup - should not fail on undefined value
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#each goodbyes}}{{lookup ../bar .}}{{/each}}';
$context = array(
        'goodbyes' => array(
            0,
            1,
        ),
        'data' => array(
            'foo',
            'bar',
        ),
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--