--TEST--
whitespace-control #33 - should strip whitespace around partials
--DESCRIPTION--
should strip whitespace around partials - should strip whitespace around partials
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'foo {{> dude}} ';
$context = array();
$partials = new DefaultRegistry(array(
        'dude' => 'bar',
    ));
$options = array();
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
foo bar 