--TEST--
inverted #7 - Nested (Falsey)
--DESCRIPTION--
Nested (Falsey) - Nested falsey sections should have their contents rendered.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '| A {{^bool}}B {{^bool}}C{{/bool}} D{{/bool}} E |';
$context = array(
        'bool' => false,
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
| A B C D E |